<form [formGroup]="form">
  <div class="form-body">
    <div class="row">
      <div class="col-md-6">
        <div class="form-group">
          <label for="title">Title</label>
          <input type="text" class="form-control" formControlName="title" placeholder="title"
            (input)="titleChange($event.target.value)">
        </div>
      </div>
      <div class="col-md-6">
        <div class="form-group">
          <label for="imgurl">URL of image</label>
          <input type="text" class="form-control" formControlName="img" placeholder="URL Image"
            (input)="urlChange($event.target.value)">
        </div>
      </div>
      <div class="col-md-12">
        <quill-editor #editor [style.display]="hide ? 'none' : 'block'" formControlName="message"
          (input)="bodyChange($event)"></quill-editor>
      </div>
      <div class="col-md-12 text-center">
        <button type="submit" routerLinkActive="router-link-active" (click)="submit()" class="btn btn-raised mr-4" id="postbtn">
          Post
        </button>
      </div>
    </div>
  </div>
</form>